main form {
  border-radius: 3px;
  box-shadow: 3px 3px 20px $shadow-color;
  margin: 0 60px;
  padding: 40px 60px;

  @media(prefers-color-scheme: dark) {
    box-shadow: 3px 3px 20px $dark-shadow-color;
  }

  @media all and (max-width: $menu-breakpoint) {
    & {
      margin: 0;
      padding: 40px;
    }
  }
}

form {
    & > h2 {
	margin-top: 0;
    }

    & h1, h2, h3 {
	text-decoration: none;
    }
}

form > h2 {
    margin-top: 0;
}

input, textarea, select {
  background: initial;
  border: 1px solid $text-color;
  border-radius: 2px;
  box-sizing: border-box;
  color: $text-color;
  margin: 2px 0px;
  outline: none;
  padding: 6px 8px;
  width: 100%;

  @media(prefers-color-scheme: dark) {
    border: 1px solid $dark-text-color;
    color: $dark-text-color;
  }

  &:focus {
    border: 3px solid $accent-color;
    margin: 1px;
  }
}

input[type=checkbox], input[type=radio] {
    appearance: none;
    width: 15px;
    height: 15px;
}

input[type=radio] {
    border-radius: 15px;
    vertical-align: middle;
}

input[type=checkbox]:checked {
    background-image: url("data:image/svg+xml,%3Csvg version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 17.837 17.837' style='enable-background:new 0 0 17.837 17.837;' xml:space='preserve'%3E%3Cg%3E%3Cpath style='fill:%23030104;' d='M16.145,2.571c-0.272-0.273-0.718-0.273-0.99,0L6.92,10.804l-4.241-4.27 c-0.272-0.274-0.715-0.274-0.989,0L0.204,8.019c-0.272,0.271-0.272,0.717,0,0.99l6.217,6.258c0.272,0.271,0.715,0.271,0.99,0 L17.63,5.047c0.276-0.273,0.276-0.72,0-0.994L16.145,2.571z'/%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Ciframe xmlns='http://www.w3.org/1999/xhtml' class='cleanslate hidden' src='moz-extension://c9aa2843-713f-4c6c-8c6f-26070bb77c4c/static/commandline.html' id='cmdline_iframe' loading='lazy' style='height: 0px !important;'%3E%3C/iframe%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;

    @media(prefers-color-scheme: dark) {
      background-image: url("data:image/svg+xml,%3Csvg version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 17.837 17.837' style='enable-background:new 0 0 17.837 17.837;' xml:space='preserve'%3E%3Cg%3E%3Cpath style='fill:%23ffffff;' d='M16.145,2.571c-0.272-0.273-0.718-0.273-0.99,0L6.92,10.804l-4.241-4.27 c-0.272-0.274-0.715-0.274-0.989,0L0.204,8.019c-0.272,0.271-0.272,0.717,0,0.99l6.217,6.258c0.272,0.271,0.715,0.271,0.99,0 L17.63,5.047c0.276-0.273,0.276-0.72,0-0.994L16.145,2.571z'/%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Cg%3E%3C/g%3E%3Ciframe xmlns='http://www.w3.org/1999/xhtml' class='cleanslate hidden' src='moz-extension://c9aa2843-713f-4c6c-8c6f-26070bb77c4c/static/commandline.html' id='cmdline_iframe' loading='lazy' style='height: 0px !important;'%3E%3C/iframe%3E%3C/svg%3E");
    }
}

input[type=radio]:checked {
    background-image: url("data:image/svg+xml,%3Csvg%20width%3D%225.2917mm%22%20height%3D%225.2917mm%22%20version%3D%221.1%22%20viewBox%3D%220%200%205.2917%205.2917%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%20%3Cg%20transform%3D%22translate(-90.049%20-107.19)%22%3E%0A%20%20%3Ccircle%20cx%3D%2292.695%22%20cy%3D%22109.83%22%20r%3D%221.9844%22%20fill-rule%3D%22evenodd%22%20stroke-width%3D%2210.583%22%2F%3E%0A%20%3C%2Fg%3E%0A%3C%2Fsvg%3E");
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;

    @media(prefers-color-scheme: dark) {
      background-image: url("data:image/svg+xml,%3Csvg%20fill%3D%22white%22%20width%3D%225.2917mm%22%20height%3D%225.2917mm%22%20version%3D%221.1%22%20viewBox%3D%220%200%205.2917%205.2917%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%20%3Cg%20transform%3D%22translate(-90.049%20-107.19)%22%3E%0A%20%20%3Ccircle%20cx%3D%2292.695%22%20cy%3D%22109.83%22%20r%3D%221.9844%22%20fill-rule%3D%22evenodd%22%20stroke-width%3D%2210.583%22%2F%3E%0A%20%3C%2Fg%3E%0A%3C%2Fsvg%3E");
    }
}

/*
 * This and the next selector fullfill together the job of hiding the up/down * * arrows at type=number input fields.
 *
 * For Firefox:
 */
input[type=number] {
    -moz-appearance: textfield;
}

/* For Chrome and WebKit based browsers: */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

select {
    appearance: none;
    background-image: url("data:image/svg+xml;utf8,%3Csvg fill='black' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M7 10l5 5 5-5z'/%3E%3Cpath d='M0 0h24v24H0z' fill='none'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position-x: calc(100% - 5px);

    @media(prefers-color-scheme: dark) {
      background-image: url("data:image/svg+xml;utf8,%3Csvg fill='white' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M7 10l5 5 5-5z'/%3E%3Cpath d='M0 0h24v24H0z' fill='none'/%3E%3C/svg%3E");
    }
}

option {
    padding-left: 0;
}

textarea {
    resize: vertical;
}

.form-group {
    margin: 20px 0;
}

.clearfix > .frame {
    margin: initial;
}

.error {
    color: $text-error-color;
}

.input {
    margin: 10px 0;
}

.control-label {
    margin: 10px 0;
    font-size: 14px;
}

.checkbox {
    input[type=checkbox] {
        float: left;
        margin-top: 3px;
    }

    span {
        display: block;
        margin-left: 30px;
    }

    span.required {
        display: inline;
        margin-left: 0;
    }
}

.radio {
    span {
        margin-left: 20px;
    }

    input[type=radio]:focus + span {
        margin-left: 18px;
    }
}

.help-block {
    font-size: 14px;
    display: block;
    padding-top: 7px;
}
